Bug 182131 - mailman requires "webserver", but uses "apache" user/group
Summary: mailman requires "webserver", but uses "apache" user/group
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mailman   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-20 18:18 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-31 12:03:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ville Skyttä 2006-02-20 18:18:05 UTC
mailman has a dependency on "webserver", but it is configured with "apache" as
the  CGI user/group.  That smells like trouble; for example the boa package in
Extras provides "webserver", but does not create the "apache" user, nor is it
really its business.  Fix: change "Requires: webserver" to "Requires: httpd".

Comment 1 Harald Hoyer 2006-05-09 13:16:25 UTC
hmm, right, but one could create those user/grp and run mailman with another
webserver?

Comment 2 Ville Skyttä 2006-05-09 14:46:24 UTC
Probably.  But how does someone know that the user and group must be created
manually?   And even if they exist, can that other webserver actually run the
scripts as apache:apache, and if not, how does that affect mailman?

Comment 3 Harald Hoyer 2006-05-09 14:53:37 UTC
right, right.... I'll change that...


Note You need to log in before you can comment on or make changes to this bug.